Bug 151562 - Unplugging network cable hangs system
Unplugging network cable hangs system
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-03-19 14:12 EST by Jeff Z
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 00:15:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Z 2005-03-19 14:12:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1

Description of problem:
On Dell Inspiron 600m running FC4test1 with a Broadcom Corporation NetXtreme BCM5705M Gigabit Ethernet, if for any reason the network cable is unplugged, the system hangs. The mouse and keyboard do nothing and I'm forced to do a hard reset.

I'm not entirely sure if this is a network management bug, but it seemed closest.

Version-Release number of selected component (if applicable):
kernel-2.611-1.1185_FC4 (also on the previous FC4test1 kernel)

How reproducible:

Steps to Reproduce:
1. Plug in network cable
2. Activate eth0 interface
3. Unplug network cable while eth0 still active

Actual Results:  Mouse and keyboard become unresponsive. No choice but to hit the power button.

Expected Results:  System handle the error gracefully (i.e. not hang)

Additional info:
Comment 1 Robert Bertram 2005-05-08 08:02:06 EDT
I have a similar problem on RHEL4. I upgraded to the beta packages as the
standard were more problematic. Now the wireless connects fine but plugging in
or removing the wired connection cause a system hang requiring a hard reset.

Dell Inspiron 8600/IPW2200 with the latest drivers.

I also have a broadcom but not a gigabit I think.
Comment 2 Robert Bertram 2005-05-08 18:11:59 EDT
Perhaps I spoke to soon or it's intermitant. It seems to be working fine today.
Comment 3 Kyrre Ness Sjøbæk 2006-02-16 15:51:51 EST
Isn't this really a kernel bug? A userspace program shouldn't be able to hang
the whole system anyway (if NM was able to do that that would be another
kernellevel bug) - but a faulty kernel driver.

Could you please attach an lspci+lsof output, if this bug is still ocurring (i
see the bug report is a bit old), and possibly move it to component kernel. If
its gone, please tell so, so this bug may be closed.
Comment 4 Matthias Clasen 2006-11-27 00:15:40 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.